%global debug_package   %{nil}

Name:           PEGTL
Version:        3.2.7
Release:        1
Summary:        Parsing Expression Grammar Template Library
License:        MIT
URL:            https://github.com/taocpp/PEGTL/
Source0:        https://github.com/taocpp/%{name}/archive/%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make cmake

%description
The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
C++11 header-only library for creating parsers according to a Parsing
Expression Grammar (PEG).

%package devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%prep
%setup -q -n %{name}-%{version} 

%build
%cmake \
  -DPEGTL_INSTALL_DOC_DIR:PATH=%{_defaultdocdir}/pegtl \
  -DPEGTL_INSTALL_CMAKE_DIR:PATH=%{_datadir}/cmake/Modules \
  -DPEGTL_BUILD_EXAMPLES:BOOL=OFF \
  -DPEGTL_BUILD_TESTS:BOOL=ON

%make_build

%check
/usr/bin/ctest --output-on-failure --force-new-ctest-process %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_defaultdocdir}/pegtl/LICENSE

%files devel
%doc README.md doc/
%license LICENSE
%{_includedir}/*
%{_datadir}/cmake/Modules


%changelog
* Thu Sep 14 2023 liyanan <thistleslyn@163.com> - 3.2.7-1
- update to 3.2.7

* Mon Aug 2 2021 Shenmei Tu <tushenmei@huawei.com> - 2.8.0-3
- bugfix-gcc-10.patch

* Sat Jul 18 2020 Guoshuai Sun <sunguoshuai@huawei.com> - 2.8.0-2
- Package init
